## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name compressed-rtf

Name:           python-%{pypi_name}
Version:        1.0.6

%global forgeurl https://github.com/delimitry/compressed_rtf
# PyPI release is missing LICENSE file, but upstream has no tags nor
# releases on GitHub. So we pull from the release commit.
%global commit ad93a504ca6a09aff9561eac586ff6d91861d147
%forgemeta

Release:        %{autorelease}
Summary:        Compressed Rich Text Format (RTF) (de-)compression
License:        MIT
URL:            %forgeurl
Source:         %forgesource
# Fix shebang
Patch:          %{forgeurl}/pull/11.patch
# Include LICENSE
Patch:          %{forgeurl}/pull/12.patch
# Include `tests/` in sdist
Patch:          %{forgeurl}/pull/13.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
Compressed RTF also known as "LZFu" compression format.

Based on Rich Text Format (RTF) Compression Algorithm:

https://msdn.microsoft.com/en-us/library/cc463890(v=exchg.80).aspx}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files compressed_rtf


%check
%pytest -v tests/tests.py


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.*


%changelog
## START: Generated by rpmautospec
* Sat Mar 22 2025 Sandro <devel@penguinpee.nl> - 1.0.6-6
- Rebuild for Fedora 42

* Thu Aug 22 2024 Sandro <devel@penguinpee.nl> - 1.0.6-5
- Rebuild for Python 3.13

* Sun Oct 15 2023 Sandro <devel@penguinpee.nl> - 1.0.6-3
- Use patches from upstreamed PRs

* Sun Oct 15 2023 Sandro <devel@penguinpee.nl> - 1.0.6-2
- Swith to GitHub for getting sources

* Sun Oct 15 2023 Sandro <devel@penguinpee.nl> - 1.0.6-1
- Initial package
## END: Generated by rpmautospec
